select
  cast(r.dtrateio as date) as inicio_rateio
  , cast(r.dtfimrateio as date) as fim_rateio
  , cast(cco.descricao as varchar(50)) as centro_custo_origem
  , cast(ccd.descricao as varchar(50)) as centro_custo_destino
  , cast(ri.percentual as decimal(15,2)) as percentual
from
  rateio r
  join centrocusto cco on cco.cdcentrocusto = r.cdcentrocusto
  join rateioitem ri on ri.cdrateio = r.cdrateio
  join centrocusto ccd on ccd.cdcentrocusto = ri.cdcentrocusto

union all

select
  cast(null as date) as inicio_rateio
  , cast(null as date) as fim_rateio
  , cast(cc.descricao as varchar(50)) as centro_custo_origem
  , cast(null as varchar(50)) as centro_custo_destino
  , cast(null as decimal(15,2)) as percentual
from
  centrocusto cc
where
  cc.cdcentrocusto not in (select cdcentrocusto from rateio)

order by
  3, 1
